LootJS.modifiers((event) => {
  event
    .addBlockLootModifier("supplementaries:urn")
    .matchMainHand(
      ItemFilter.custom((item) => item.hasTag("minecraft:tools")).and(
        ItemFilter.hasEnchantment("minecraft:silk_touch").negate()
      )
    )
    .removeLoot(Ingredient.all)
    .addWeightedLoot([
      LootEntry.of("supplementaries:ash").limitCount([2, 8]).withChance(25),
      LootEntry.of("minecraft:bone").limitCount([2, 6]).withChance(15),
      LootEntry.of("betterarcheology:artifact_shards").withChance(5),
      LootEntry.of("minecraft:torch").limitCount([4, 12]).withChance(5),
      LootEntry.of("supplementaries:flax_seeds")
        .limitCount([1, 2])
        .withChance(5),
      LootEntry.of("supplementaries:antique_ink")
        .limitCount([1, 2])
        .withChance(5),
      LootEntry.of("minecraft:burn_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:angler_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:archer_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:arms_up_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:blade_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:brewer_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:heart_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:heartbreak_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:miner_pottery_sherd").withChance(1),
      LootEntry.of("minecraft:prize_pottery_sherd").withChance(1),
      LootEntry.of(
        LootEntry.of(
          Item.of(
            "wares:sealed_delivery_agreement",
            '{backsideMessage:\'{"text":"A Special Trim Offer For YOU!"}\', buyerAddress:\'{"text":"30 Transit Tree Trail"}\',buyerName:[{component:\'{"color":"dark_green","text":"Trent Travertine, Trim Trader"}\'}],deliveryTime:1000,experience:{max:40,min:10,step:10},id:"armor_trim_agreement_sealed",message:\'{"text":"Send your unwanted bricks to Trent Travertine and get an armor trim template in return! Occasionally, snag an upgrade template. No refunds, satisfaction not guaranteed. Don\\\'t miss out on this once-in-a-lifetime offer!"}\',ordered:{max:10,min:4,step:2},payment:[{id:"wares:package",Count:1,tag:{display:{Name:\'{"text":"Trim Trader Delivery"}\'},packedItems: "wares:chests/trim_trader"}}],requested:"wares:chests/wares_payment_bricks",sealTooltip:\'{"text":"The Trim Trader"}\',title:\'{"text":"Trim Trader...Trading Trims!"}\'}'
          )
        )
      ).withChance(3),
    ]);
});
